<?
session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsPer.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
  $objPer=new clsPer;
  $existecod=$objPer->ExisteTrans($mat_trans);
  /* if($via=='A'){
	while(list($clave,$valor)=each($transper_d1)){  						
		$costodt=$costodt+$valor[3];				
				
		}			
	} */ 
 //if($existecod==""){
 if($_SESSION['costototper']==''){
 	$ctp=0;
 }else{
 	$ctp=$_SESSION['costototper'];
 }
	//$tcant_trans=($cappass_trans+$tripnum_trans);
	//echo $capcarg_trans;	
	$objPer->updateTransPerDetEdit($mat_trans,$tipo_trans,$cappass_trans,$capcarg_trans,$capcarg_ext,$model_trans,$tripnum_trans,$cod_emp,$tarifam,$via,$combus,$tipomedida,$tarifah,$tarifav,extraerfechamysql($seguro_fi),extraerfechamysql($seguro_ff),$tipohora,extraerfechamysql($fecha_iniop),extraerfechamysql($fecha_finop),$numcontrato,$dias_indotor,$costo_mov,$costo_desmov,$comentario,$ctp,$horamaxtra);  
		 	
	if($via=='A'){
		while(list($clave,$valor1)=each($transper_d1)){  
			$tipoper=$valor1[0];
			$fechaini_tp=$valor1[1];
			$fechafin_tp=$valor1[2];											
			$costod1=$valor1[3];
			$cod_transper=$valor1[4];	
			if($cod_transper==''){
			$objPer->registrarTransPerDet($mat_trans,$tipoper,$fechaini_tp,$fechafin_tp,$costod1);		
			}elseif($cod_transper!=''){
			$objPer->updateTransPer($cod_transper,$tipoper,$fechaini_tp,$fechafin_tp,$costod1);
			}		
		}			
	}
	echo "Se grabao Satisfactoriamente"; 
	//Redirigir("../p_listar_trans.php");	
/* }else{
	Redirigir("cvp_mensaje_trans_existe.php?mat_trans=$mat_trans&tipo_trans=$tipo_trans&cappass_trans=$cappass_trans&capcarg_trans=$capcarg_trans&model_trans=$model_trans&tripnum_trans=$tripnum_trans");
}    */ 
  
?>